Bug 207641 - ISAPnP? Really?
ISAPnP? Really?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-22 01:07 EDT by Bill Nottingham
Modified: 2015-01-04 17:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 01:38:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-09-22 01:07:54 EDT
kernel-2.6.18-ia64.config:CONFIG_ISAPNP=y
kernel-2.6.18-ia64-xen.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc64.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc64iseries.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc64iseries-kdump.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc64-kdump.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc.config:CONFIG_ISAPNP=y
kernel-2.6.18-ppc-smp.config:CONFIG_ISAPNP=y
kernel-2.6.18-s390.config:CONFIG_ISAPNP=y
kernel-2.6.18-s390x.config:CONFIG_ISAPNP=y
kernel-2.6.18-x86_64.config:CONFIG_ISAPNP=y
kernel-2.6.18-x86_64-kdump.config:CONFIG_ISAPNP=y
kernel-2.6.18-x86_64-xen.config:CONFIG_ISAPNP=y

Do these actually work?

Note all the "IN from bad port" messages in:

https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=136871
Comment 1 Dave Jones 2006-09-27 02:29:36 EDT
see bug 178344
Not sure what the right thing to do here is.
Comment 2 David Woodhouse 2006-09-27 03:14:11 EDT
Probably to use check_legacy_ioport() like drivers/block/floppy.c and
input/serio/i8042-io.h do. Something like...

--- a/drivers/pnp/isapnp/core.c
+++ b/drivers/pnp/isapnp/core.c
@@ -1049,6 +1049,10 @@ static int __init isapnp_init(void)
                printk(KERN_INFO "isapnp: ISA Plug & Play support disabled\n");
                return 0;
        }
+#ifdef CONFIG_PPC_MERGE
+       if (check_legacy_ioport(_PIDXR) || check_legacy_ioport(_PNPWRP))
+               return -EINVAL;
+#endif
 #ifdef ISAPNP_REGION_OK
        if (!request_region(_PIDXR, 1, "isapnp index")) {
                printk(KERN_ERR "isapnp: Index Register 0x%x already used\n",
_PIDXR);
Comment 3 Dave Jones 2006-09-28 17:56:42 EDT
looks sensible. added to cvs.

Note You need to log in before you can comment on or make changes to this bug.